<?php
$html_id = pxl_get_element_id($settings);
if ( ! empty( $settings['link']['url'] ) ) {
    $widget->add_render_attribute( 'link_text', 'href', $settings['link']['url'] );

    if ( $settings['link']['is_external'] ) {
        $widget->add_render_attribute( 'link_text', 'target', '_blank' );
    }

    if ( $settings['link']['nofollow'] ) {
        $widget->add_render_attribute( 'link_text', 'rel', 'nofollow' );
    }
}
?>
<div class="pxl-banner-box pxl-banner-box9 <?php echo esc_attr($settings['pxl_animate']); ?>" data-wow-delay="<?php echo esc_attr($settings['pxl_animate_delay']); ?>ms">
    <div class="pxl-banner-inner <?php echo esc_attr($settings['popular']); ?>">
        <a class="pxl-item-link" <?php pxl_print_html($widget->get_render_attribute_string( 'link_text' )); ?>></a>
        <?php if(!empty($settings['image']['id'])) : 
            $image_size = !empty($settings['img_size']) ? $settings['img_size'] : '870x601'; 
            $img = pxl_get_image_by_size( array(
                'attach_id'  => $settings['image']['id'],
                'thumb_size' => $image_size,
            ));
            $thumbnail = $img['thumbnail'];
            ?>
            <div class="pxl-item--img">
                <div class="pxl-image">
                    <?php echo pxl_print_html($thumbnail); ?>
                </div>
            </div>
        <?php endif; ?>
        <div class="pxl-item-text">
            <?php echo esc_attr($settings['text']); ?>
        </div>
        <div class="pxl-item-title">
            <?php echo esc_attr($settings['title_lv2']); ?>
        </div>
    </div>
</div>